From a57f54ce05b13f4b1b1ff2323f7851354101dde0 Mon Sep 17 00:00:00 2001
From: Iain Sandoe <iain@codesourcery.com>
Date: Sun, 27 Jul 2014 20:35:16 +0100
Subject: [PATCH 1005/1008] Default to ppc7400 for OSX 10.5+

---
 lib/Driver/Tools.cpp | 3 +++
 1 file changed, 3 insertions(+)

diff --git llvm_release_37/tools/clang/lib/Driver/Tools.cpp macports_release_37/tools/clang/lib/Driver/Tools.cpp
index 19ebbb9..1d46d50 100644
--- llvm_release_37/tools/clang/lib/Driver/Tools.cpp
+++ macports_release_37/tools/clang/lib/Driver/Tools.cpp
@@ -1601,6 +1601,9 @@ static std::string getCPUName(const ArgList &Args, const llvm::Triple &T,
         TargetCPUName = "ppc64";
       else if (T.getArch() == llvm::Triple::ppc64le)
         TargetCPUName = "ppc64le";
+      else if (T.isOSDarwin() && !T.isMacOSXVersionLT(10,5))
+        // For 10.5+ Altivec is assumed available.
+        TargetCPUName = "7400";
       else
         TargetCPUName = "ppc";
     }
-- 
2.10.1

